- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OutputStream Class Reference

Inherits ObjectImpl.

Inherited by BufferedOutputStream, ByteArrayOutputStream, FileOutputStream, and SocketOutputStream.

List of all members.

## Detailed Description

Abstract class for writing to character streams.

## Public Member Functions
virtual void | close (Pool &p)=0
virtual void | flush (Pool &p)=0
virtual void | write (ByteBuffer &buf, Pool &p)=0
## Protected Member Functions
| OutputStream ()
virtual | ~OutputStream ()

## Constructor & Destructor Documentation

OutputStream | ( |  | ) | `[protected]`

virtual ~OutputStream | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[pure virtual]`

| Implemented in BufferedOutputStream, ByteArrayOutputStream, FileOutputStream, and SocketOutputStream.

virtual void flush | ( | Pool & | p | ) | `[pure virtual]`

| Implemented in BufferedOutputStream, ByteArrayOutputStream, FileOutputStream, and SocketOutputStream.

virtual void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) | `[pure virtual]`

| Implemented in BufferedOutputStream, ByteArrayOutputStream, FileOutputStream, and SocketOutputStream.

The documentation for this class was generated from the following file:

- outputstream.h